<?php
namespace App\Services\Interfaces;

use App\Models\WarehouseGuide;
use App\DTOs\WarehouseGuide\WarehouseGuideCreateDto;
use App\DTOs\WarehouseGuide\WarehouseGuideUpdateDto;

interface IWarehouseGuideService
{
    public function paginate(array $request);
    public function find(int $id): ?WarehouseGuide;
    public function store(WarehouseGuideCreateDto $store): void; //WarehouseGuide;
    public function update(WarehouseGuideCreateDto $store): void;
    public function destroy(int $id): void;
}
